Update Email Campaign
curl --request PATCH \
--url https://api.getoutbox.ai/email/campaigns/{campaign_id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sender_identity_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"name": "<string>",
"description": "<string>",
"timezone": "<string>",
"allowed_windows": "<unknown>",
"stop_on_reply": true,
"is_deleted": true,
"created_at": "2023-11-07T05:31:56Z",
"company": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responder_agent": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.getoutbox.ai/email/campaigns/{campaign_id}/"
payload = {
"sender_identity_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"name": "<string>",
"description": "<string>",
"timezone": "<string>",
"allowed_windows": "<unknown>",
"stop_on_reply": True,
"is_deleted": True,
"created_at": "2023-11-07T05:31:56Z",
"company": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responder_agent": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sender_identity_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
name: '<string>',
description: '<string>',
timezone: '<string>',
allowed_windows: '<unknown>',
stop_on_reply: true,
is_deleted: true,
created_at: '2023-11-07T05:31:56Z',
company: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
workflow: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
created_by: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
responder_agent: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.getoutbox.ai/email/campaigns/{campaign_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"steps": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z",
"campaign": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"step_order": 1,
"subject": "<string>",
"body_html": "<string>",
"body_text": "<string>",
"delay_minutes": 1073741823,
"is_active": true,
"created_at": "2023-11-07T05:31:56Z"
}
],
"sender_identities": "<string>",
"sent_count": "<string>",
"unique_opens": "<string>",
"unique_clicks": "<string>",
"replies": "<string>",
"name": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"company": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sender_identity_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"description": "<string>",
"timezone": "<string>",
"allowed_windows": "<unknown>",
"stop_on_reply": true,
"is_deleted": true,
"created_at": "2023-11-07T05:31:56Z",
"workflow": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responder_agent": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Email Campaigns
Update Email Campaign
Partial update of a campaign (name, schedule, audience filters, status flags).
PATCH
/
email
/
campaigns
/
{campaign_id}
/
Update Email Campaign
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Optional sender pool for random campaign sending.
Required string length:
1 - 255draft- Draftactive- Activepaused- Pausedcompleted- Completedcancelled- Cancelled
Available options:
draft, active, paused, completed, cancelled Maximum string length:
64Response
Show child attributes
Show child attributes
Maximum string length:
255Optional sender pool for random campaign sending.
draft- Draftactive- Activepaused- Pausedcompleted- Completedcancelled- Cancelled
Available options:
draft, active, paused, completed, cancelled Maximum string length:
64⌘I

